Appearance
Get a list of DocumentAssets ​
GET
/v1/documentassets
Gets a list of DocumentAssets.
Authorizations​
api_key
Type
API Key (header: X-Api-Key)
Parameters​
Query Parameters
sorting
Type
string
Default
nullpage_size
Number of items per page
Type
integer
Default
50page
Current page
Type
integer
Default
1related_type
type of related item to filter on
Type
string
Valid values
"bookingorder""distributor""category""supplier""team""venue""purchaseorder""listingrequest"related_id
id of related item to filter on
Type
string
filename
Filter by document asset filename
Default
nullowner_id
owner id such as distributor_id or client_id
Type
string
owner_type
owner such as distributor_id or client_id
Type
string
Valid values
"distributor""client""supplier""supplierclient"expiry_date
Filter content by expiry date. Use operators like 'lt:2025-01-15', 'ge:2025-01-15', 'eq:2025-01-15'
Default
nulldocument_type
Filter by document type (e.g., marketplace_revenue_invoice, invoice, statement, ticket, creditstatement, creditinvoice, document, proforma, external_invoice, external_proforma, accountstatement, accountstatement_specification, pricesheet, voys_call_history)
Default
nullbookingorder_id
Filter by booking order ID (filters on related_id when related_type is BOOKINGORDER)
Default
nullbooking_code
Filter by booking code (requires join with BookingOrder table)
Default
nullexternal_document_id
Filter by external document ID (e.g. Basecone document ID)
Default
nullResponses​
OK
application/json
JSON"documentassets": [{"version": 2,"created": null,"updated": null,"deleted": null,"created_by": null,"updated_by": null,"deleted_by": null,"metadata": {"additionalProperties": "string"},"documentasset_id": null,"related_type": "string","document_type": "string","related_id": "string","filename": "string","accessible_by_owner": true,"document_mimetype": null,"order": 100,"remote_filename": null,"bucket": null,"expiry_date": null,"owner_id": null,"owner_type": null,"owner_name": null,"meta_data": {"additionalProperties": "string"},"external_document_id": null}],"pagination": {"total_size": 1,"page_size": 50,"page_number": 1,"next_page": "string","previous_page": "string"}
{
 Â
 Â
 Â
 Â
 Â
 Â
 Â
 Â
 Â
 Â
 Â
 Â
 Â
 Â
 Â
 Â
 Â
 Â
 Â
 Â
 Â
 Â
 Â
 Â
 Â
 Â
 Â
 Â
 Â
 Â
 Â
 Â
 Â
 Â
 Â
 Â
 Â
 Â
 Â
 Â
 Â
 Â
 Â
 Â
 Â
 Â
 Â
 Â
 Â
 Â
 Â
 Â
 Â
 Â
 Â
 Â
 Â
 Â
 Â
 Â
 Â
 Â
 Â
 Â
 Â
 Â
 Â
 Â
 Â
 Â
 Â
 Â
 Â
 Â
 Â
 Â
 Â
 Â
 Â
 Â
 Â
 Â
 Â
 Â
 Â
 Â
 Â
 Â
 Â
 Â
 Â
 Â
 Â
 Â
 Â
 Â
 Â
 Â
 Â
 Â
 Â
 Â
 Â
 Â
}